Package org.jboss.logging

## Class Messages

- java.lang.Object
- - org.jboss.logging.Messages

    public final class Messages
    extends java.lang.Object

A factory class to produce message bundle implementations.

Author:
  David M. Lloyd

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `getBundle​(java.lang.Class<T> type)` Get a message bundle of the given type.
`static <T> T` `getBundle​(java.lang.Class<T> type, java.util.Locale locale)` Get a message bundle of the given type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBundle

    public static <T> T getBundle​(java.lang.Class<T> type)

Get a message bundle of the given type. Equivalent to ``getBundle`(type, Locale.getDefault())`.

Type Parameters:
  `T` - the bundle type
Parameters:
  `type` - the bundle type class
Returns:
  the bundle

#### getBundle

    public static <T> T getBundle​(java.lang.Class<T> type,
                                  java.util.Locale locale)

Get a message bundle of the given type.

Type Parameters:
  `T` - the bundle type
Parameters:
  `type` - the bundle type class
  `locale` - the message locale to use
Returns:
  the bundle